@import "wc26.css";

:root {
    --light-yellow: #e5ec9e;
}

.use-offset {
    scroll-margin-top: 9vw;
}

#group-toc {
    font-size: 1.2vw;
}

.group {
    display: grid;
    width: 90%;
    margin: auto;
    padding: 5px;
    border: 0.15vw solid var(--usa-off-white);
    /*margin-bottom: 15px;*/
    background: var(--usa-off-white);
}
.group-toc {
    display: grid;
    width: 90%;
    grid-template-columns: 1fr;
    text-align: center;
    margin: auto;
    border: 0.15vw solid var(--usa-lighter-blue);
    background: var(--sky-blue);
}

#all-groups-toc {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    margin: 1vw auto 1vw;
}

.group-flags {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding-bottom: 0.1vw;
}

.group-label {
    color: var(--usa-blue);
    text-decoration: none;
    text-align: center;
    font-size: 1.1vw;
    font-weight: bold;
}

.group-toc:hover {
    transform: scale(1.1);
    transition-duration: 0.2s;
}

#all-groups-toc > a {
    text-decoration: none;
}

.little-icon {
    width: 2.3vw;
    height: 2.3vw;
    /*max-height: 90%;*/
    padding: 0.15vw 0;
    margin: auto;
}

#navigation-warning {
    color: var(--usa-off-white);
    margin: auto;
    text-align: center;
    padding-top: 0.2vw;
    font-weight: bold;
}

#warning-home {
    font-size: 0.8vw;
    font-style: italic;
    text-align: center;
    color: var(--usa-off-white);
    padding-bottom: 0.5vw;
    padding-top: 0.3vw;
}

.interior-link {
    font-size: 1vw;
    line-height: 1.25;
}

/*#games {*/
    /*width: 70%;*/
    /*margin: auto;*/
/*}*/

#empty {
    margin-top: 0.75vw;
    border-bottom: 0.25vw solid var(--usa-sky-blue);
}

#group-toc {
    text-align: center;
    color: var(--usa-off-white);
}

#usa-flag {
    width: 50%;
    margin: auto;
    padding-bottom: 0vw;
    padding-top: 0.5vw;
    row-gap: 0.15vw;
    /*border-bottom: 0.25vw solid var(--usa-sky-blue);*/
}

#upcoming-group-games {
    height: calc(100% - 0.18vw);
    background: var(--usa-lighter-blue);
    border: 0.12vw solid var(--usa-sky-blue);
    margin-top: -0.05vw;
}

#finished-group-games, #upcoming-knockout-games, #knockout-bracket {
    background: var(--usa-red);
    border: 0.12vw solid var(--usa-sky-red);
}

#group-stats, #finished-knockout-games {
    background: var(--usa-mid-white);
    color: var(--usa-blue);
    border: 0.12vw solid var(--usa-off-white);
}

#usa-flag-top-half {
    display:grid;
    grid-template-columns: 35% 65%;
    width: 80%;
    margin: auto;
    row-gap: 0.15vw;
    column-gap: 0.2vw;
}

#big-square-text {
    margin-top: 1vw;
}

#usa-flag-bottom-half {
    display:grid;
    /*grid-template-columns: 35% 65%;*/
    width: 80%;
    margin: auto;
    row-gap: 0.15vw;
}

#usa-flag-right-top {
    display: grid;
    row-gap: 0.15vw;
    width: calc(100% - 0.2vw);
}

#navbar {
    border-bottom: 0.25vw solid var(--usa-sky-blue);
    margin-bottom: 0;
    padding-bottom: 0;
}

#big-title {
    font-size: 2vw;
    color: var(--usa-off-white);
    text-align: center;
    margin: auto;
    padding: 0.5vw 0 0;
    font-weight: bold;

}

.group-announce {
    margin: 0;
    text-align: center;
    color: var(--usa-off-white);
    font-size: 1.8vw;
}

.descriptor-row {
    display: grid;
    grid-template-columns: 10% 7% 7% 7% 7% 3% 5% 5% 5% 1% 3% 3% 4% 6% 6% 21%;
    align-items: center;
    justify-items: center;
    padding-bottom: 2px;
    border-bottom: 0.8px solid var(--turf-blue);
    font-size: 1.1vw;
}

.descriptor-row > * {
    display: grid;
    width: 100%;
    justify-self: center;
    justify-items: center;
    font-size: 1.1vw;
}

.descriptor-row * {
    font-size: 1.1vw;
    overflow: hidden;
}

.emphasis-row {
    border-bottom: 1.7px solid var(--turf-blue);
}

.align-down {
    align-items: end;
}

/*#team-span {
    color: var(--usa-off-white);
}*/

.team-icon {
    width: 2.2vw;
    align-self: center;
    justify-self: center;
}

.team-full {
    display: flex;
    align-items: center;
    justify-items: start;
    justify-content: start;
    justify-self: start;
}

.team-name {
    padding-left: 4px;
}

.back-green {
    background-color: var(--grass-green);
}

.back-yellow {
    background-color: var(--light-yellow);
}

.back-red {
    background-color: rgb(242, 205, 205);
}

.summary {
    text-align: center;
    width: 90%;
    margin: auto;
    padding-bottom: 0.5vw;
    /*padding-top: 0.25vw;*/
    font-size: 1.2vw;
    color:var(--usa-off-white);
}

.finished {
    margin-bottom: 5px;
}

.advancer {
    background: var(--grass-green);
}